# __gnu_cxx::__pool< true > Class Template Reference

Inheritance diagram for __gnu_cxx::__pool< true >:

List of all members.

## Detailed Description

### template<>
class __gnu_cxx::__pool< true >

Definition at line 262 of file mt_allocator.h.

## Public Types

- typedef unsigned short int _Binmap_type

## Public Member Functions

- __pool (const __pool_base::_Tune &__tune)
- __pool ()
- void _M_adjust_freelist (const _Bin_record &__bin, _Block_record *__block, size_t __thread_id)
- bool _M_check_threshold (size_t __bytes)
- void _M_destroy () throw ()
- void _M_destroy_thread_key (void *)
- const size_t _M_get_align ()
- const _Bin_record & _M_get_bin (size_t __which)
- size_t _M_get_binmap (size_t __bytes)
- const _Tune & _M_get_options () const
- size_t _M_get_thread_id ()
- void _M_initialize (__destroy_handler)
- void _M_initialize_once ()
- void _M_reclaim_block (char *__p, size_t __bytes)
- char * _M_reserve_block (size_t __bytes, const size_t __thread_id)
- void _M_set_options (_Tune __t)

## Protected Attributes

- _Binmap_type * _M_binmap
- bool _M_init
- _Tune _M_options

## Classes

- struct _Bin_record
- union _Block_record
- struct _Thread_record

The documentation for this class was generated from the following file:

- mt_allocator.h